# Cafe24 Event Description

{% hint style="info" %}
This document describes the identifiers, User Properties, and events that are automatically collected during Cafe24 Integration.

* Identifier information depending on whether the store visitor is logged in
* User Property information set based on store member information
* Events that are automatically collected for store user actions
  {% endhint %}

## Identifiers

<table><thead><tr><th width="154.6171875">Identifier</th><th>Description</th></tr></thead><tbody><tr><td>userId</td><td>Users who are logged in to the store have this identifier.<br>This is the same value as the customer ID that can be found in <a href="https://support.cafe24.com/hc/ko/articles/7740172361881-%ED%9A%8C%EC%9B%90-%EC%A0%95%EB%B3%B4-%EC%A1%B0%ED%9A%8C">Cafe24 Member Information Lookup</a>.</td></tr><tr><td>deviceId</td><td>Users who are not logged in to the store only have this identifier.</td></tr></tbody></table>

{% hint style="info" %}
For more details, see [Managing User Identifiers](/en/getting-started/user-identifier.md).
{% endhint %}

## User Properties

### Properties Collected on Page Access

Collected in real time when a user accesses a store page.

<table data-full-width="true"><thead><tr><th width="280">Property Key</th><th>Description</th></tr></thead><tbody><tr><td><code>mall_id</code></td><td>Cafe24 mall identifier</td></tr><tr><td><code>event_shop_no</code></td><td>Cafe24 shop number</td></tr><tr><td><code>member_id</code></td><td>Member ID (same as <code>userId</code>)</td></tr><tr><td><code>name</code></td><td>Member name</td></tr><tr><td><code>nick_name</code></td><td>Member nickname</td></tr><tr><td><code>email</code></td><td>Email address</td></tr><tr><td><code>phone</code></td><td>Phone number</td></tr><tr><td><code>is_birthday</code></td><td>Birthday info ("T" / "F")</td></tr><tr><td><code>group_name</code></td><td>Member group name</td></tr><tr><td><code>group_no</code></td><td>Member group number</td></tr><tr><td><code>additional_information</code></td><td>Additional member information</td></tr><tr><td><code>authentication_method</code></td><td>Authentication method</td></tr><tr><td><code>created_date</code></td><td>Sign-up date (yyyymmdd format)</td></tr><tr><td><code>created_datetime</code></td><td>Sign-up date and time (ISO format)</td></tr><tr><td><code>available_point</code></td><td>Available points</td></tr><tr><td><code>total_point</code></td><td>Total accumulated points</td></tr><tr><td><code>used_point</code></td><td>Used points</td></tr><tr><td><code>returned_point</code></td><td>Returned points</td></tr><tr><td><code>unavailable_point</code></td><td>Unavailable points</td></tr><tr><td><code>all_credit</code></td><td>Total deposit balance</td></tr><tr><td><code>member_total_credit</code></td><td>Member total deposit balance</td></tr><tr><td><code>total_credit</code></td><td>Total deposit</td></tr><tr><td><code>used_credit</code></td><td>Used deposit</td></tr><tr><td><code>refund_wait_credit</code></td><td>Deposit pending refund</td></tr><tr><td><code>news_mail</code></td><td>Newsletter subscription consent</td></tr><tr><td><code>sms</code></td><td>SMS subscription consent</td></tr><tr><td><code>is_login</code></td><td>Current login status</td></tr><tr><td><code>coupon_count</code></td><td>Number of coupons held</td></tr><tr><td><code>last_login_provider</code></td><td>Authentication provider used for the last login</td></tr><tr><td><code>last_seen_product_no</code></td><td>Number of the most recently viewed product</td></tr><tr><td><code>last_visit_page</code></td><td>Last visited page</td></tr><tr><td><code>last_visit_date</code></td><td>Last visit date (yyyy-mm-dd format)</td></tr><tr><td><code>cafe_mkt</code></td><td>Value of the cafe_mkt parameter in the URL</td></tr><tr><td><code>cart_total_quantity</code></td><td>Total item quantity in the cart</td></tr><tr><td><code>cart_items_count</code></td><td>Number of item rows in the cart</td></tr><tr><td><code>cart_items_unique_count</code></td><td>Number of unique product types in the cart</td></tr><tr><td><code>cart_total_order_price</code></td><td>Total order amount in the cart</td></tr><tr><td><code>cart_option_ids</code></td><td>Array of option IDs in the cart</td></tr><tr><td><code>cart_product_nos</code></td><td>Array of product numbers in the cart</td></tr><tr><td><code>cart_comb_product_no_option_id</code></td><td>Array of product-number and option-ID combinations in the cart</td></tr><tr><td><code>guestId</code></td><td>Cafe24 guest ID (Custom Identifier)</td></tr><tr><td><code>cvid</code></td><td>Cafe24 visitor ID cookie (Custom Identifier)</td></tr><tr><td><code>cvid_y</code></td><td>Cafe24 visitor annual ID cookie (Custom Identifier)</td></tr></tbody></table>

{% hint style="info" %}
**Is there a property that is not being collected?**

All information is collected based on values provided by Cafe24.

If there are properties that must be collected, try changing your [**Cafe24 Sign-up Field Settings**](https://support.cafe24.com/hc/ko/articles/7751397711257--%EB%8F%99%EC%98%81%EC%83%81%EA%B0%80%EC%9D%B4%EB%93%9C-%ED%9A%8C%EC%9B%90-%EA%B0%80%EC%9E%85-%ED%95%AD%EB%AA%A9-%EC%84%A4%EC%A0%95).
{% endhint %}

### Periodically Updated Properties

{% hint style="warning" %}
The Hackle server periodically collects information to update User Properties. To enable collection, please contact the Hackle team separately.
{% endhint %}

<table data-full-width="true"><thead><tr><th width="280">Property Key</th><th>Description</th></tr></thead><tbody><tr><td><code>cart_items_last_added_date</code></td><td>Date of last item added to the cart</td></tr><tr><td><code>order_first_date</code></td><td>First order date</td></tr><tr><td><code>order_last_date</code></td><td>Last order date</td></tr><tr><td><code>order_total_count</code></td><td>Total number of orders</td></tr><tr><td><code>cp_{couponNo}_issued_date</code></td><td>Issue date per coupon</td></tr><tr><td><code>cp_{couponNo}_expire_date</code></td><td>Expiration date per coupon</td></tr><tr><td><code>cp_{couponNo}_used_date</code></td><td>Usage date per coupon (nullable)</td></tr><tr><td><code>cp_{couponNo}_use_flag</code></td><td>Usage status per coupon</td></tr><tr><td><code>birthday</code></td><td>Date of birth (yyyyMMdd format)</td></tr><tr><td><code>birthdate</code></td><td>Birthday month-day (MM-dd format)</td></tr><tr><td><code>birthday_year</code></td><td>Year of birth (yyyy format)</td></tr><tr><td><code>solar_calendar</code></td><td>Solar/lunar calendar indicator ("양력" or "음력")</td></tr></tbody></table>

## Events

### Real-time Events

Collected in real time when a user action occurs.

<table data-full-width="true"><thead><tr><th width="200">Event Key</th><th>Key Event Properties</th><th width="200">Trigger</th><th width="100">In-App Message</th><th width="100">Non-member Send</th></tr></thead><tbody><tr><td><strong>$page_view</strong></td><td><code>$page_name</code></td><td>On entering any page</td><td>O</td><td></td></tr><tr><td><strong>$engagement</strong></td><td><code>$page_name</code><br><code>$engagement_time_ms</code></td><td>When the browser's active state changes</td><td>O</td><td></td></tr><tr><td><strong>$session_start</strong></td><td></td><td>When a session starts</td><td>O</td><td></td></tr><tr><td><strong>$session_end</strong></td><td></td><td>When a session ends</td><td>O</td><td></td></tr><tr><td><strong>view_home</strong></td><td><code>utm_campaign</code><br><code>utm_content</code><br><code>utm_id</code><br><code>utm_medium</code><br><code>utm_source</code><br><code>utm_term</code></td><td>On entering the main page</td><td>O</td><td></td></tr><tr><td><strong>view_product</strong></td><td><code>product_no</code><br><code>product_name</code><br><code>price</code><br><code>utm_*</code></td><td>On entering a product detail page</td><td>O</td><td></td></tr><tr><td><strong>view_product_list</strong></td><td><code>category_name</code><br><code>cate_no</code><br><code>utm_*</code></td><td>On entering a category/product list page</td><td>O</td><td></td></tr><tr><td><strong>view_cart</strong></td><td><code>total_quantity</code><br><code>total_order_price</code><br><code>product_nos</code><br><code>product_names</code><br><code>utm_*</code></td><td>On entering the cart page</td><td>O</td><td></td></tr><tr><td><strong>view_checkout</strong></td><td><code>discounted_price</code><br><code>price</code><br><code>is_surl</code><br><code>product_no</code><br><code>utm_*</code></td><td>On entering the order form page</td><td>O</td><td></td></tr><tr><td><strong>view_completed_order</strong></td><td><code>order_id</code><br><code>discounted_price</code><br><code>price</code><br><code>delivery_fee</code><br><code>utm_*</code></td><td>On entering the order completion page</td><td>O</td><td></td></tr><tr><td><strong>scroll_home</strong></td><td><code>depth</code> (scroll depth in increments of 5)</td><td>When the user scrolls on the main page</td><td>O</td><td></td></tr><tr><td><strong>scroll_product</strong></td><td><code>product_no</code><br><code>depth</code></td><td>When the user scrolls on a product detail page</td><td>O</td><td></td></tr><tr><td><strong>click_buy_cart</strong></td><td><code>product_no</code><br><code>price</code><br><code>discounted_price</code><br><code>purchase_unit</code><br><code>checkout_type</code></td><td>Click the purchase button from the cart</td><td>O</td><td></td></tr><tr><td><strong>click_buy_product</strong></td><td><code>product_no</code><br><code>price</code><br><code>discounted_price</code><br><code>purchase_unit</code><br><code>checkout_type</code></td><td>Click direct purchase from the product detail</td><td>O</td><td></td></tr><tr><td><strong>click_buy_checkout</strong></td><td></td><td>Click Pay on the order form</td><td>O</td><td></td></tr><tr><td><strong>cafe24_signup</strong></td><td><code>name</code><br><code>nick_name</code><br><code>birthday</code><br><code>gender</code><br><code>cellphone</code></td><td>New member sign-up</td><td></td><td></td></tr><tr><td><strong>cafe24_login</strong></td><td><code>member_id</code><br><code>group_name</code><br><code>inflow_name</code></td><td>Member login</td><td></td><td></td></tr><tr><td><strong>cafe24_add_to_cart</strong></td><td><code>add_to_cart_product_name</code><br><code>total_quantity</code><br><code>product_nos</code><br><code>product_names</code></td><td>Add to cart</td><td></td><td></td></tr><tr><td><strong>cafe24_add_to_cart_items</strong></td><td><code>product_no</code><br><code>product_name</code><br><code>quantity</code><br><code>product_price</code><br><code>option_value</code></td><td>Add to cart (per product)</td><td></td><td></td></tr><tr><td><strong>cafe24_order_form</strong></td><td><code>total_quantity</code><br><code>items_count</code><br><code>total_order_price</code><br><code>product_nos</code><br><code>product_names</code></td><td>Enter the order form</td><td></td><td></td></tr><tr><td><strong>cafe24_order_form_items</strong></td><td><code>product_no</code><br><code>product_name</code><br><code>quantity</code><br><code>product_price</code><br><code>option_value</code></td><td>Enter the order form (per product)</td><td></td><td></td></tr><tr><td><strong>cafe24_complete_order</strong></td><td><code>order_id</code><br><code>payment_method</code><br><code>is_first_order</code><br><code>order_amount</code><br><code>items_count</code><br><code>is_member</code></td><td>Order completed</td><td></td><td>O</td></tr><tr><td><strong>cafe24_complete_order_items</strong></td><td>Similar to cafe24_complete_order</td><td>Order completed (per product)</td><td></td><td>O</td></tr><tr><td><strong>cafe24_cancel_order</strong></td><td><code>order_id</code><br><code>claim_reason_type</code><br><code>claim_reason</code><br><code>claim_reason_type_text</code><br><code>is_member</code></td><td>Order canceled</td><td></td><td>O</td></tr><tr><td><strong>cafe24_cancel_order_items</strong></td><td>Similar to cafe24_cancel_order</td><td>Order canceled (per product)</td><td></td><td>O</td></tr><tr><td><strong>cafe24_return_order</strong></td><td>Same as cafe24_cancel_order</td><td>Order returned</td><td></td><td>O</td></tr><tr><td><strong>cafe24_return_order_items</strong></td><td>Same as cafe24_cancel_order_items</td><td>Order returned (per product)</td><td></td><td>O</td></tr><tr><td><strong>cafe24_refund_order</strong></td><td>Same as cafe24_cancel_order</td><td>Order refunded</td><td></td><td>O</td></tr><tr><td><strong>cafe24_refund_order_items</strong></td><td>Same as cafe24_cancel_order_items</td><td>Order refunded (per product)</td><td></td><td>O</td></tr></tbody></table>

{% hint style="info" %}

* **In-App Message**
  * Events marked with O can be used as start events for In-App Messages.
* **Non-member Send**
  * Events marked with O allow KakaoTalk/SMS messages to be sent even to Cafe24 non-members in event-based campaigns (Kakao/SMS event-based, User Journey). To enable non-member sending, please contact the Hackle team!
    {% endhint %}

{% hint style="info" %}
**Are there other pieces of information being collected?**

For the default properties that the Hackle SDK automatically collects, refer to [Hackle Properties](/en/event-management/properties/hackle-property.md).
{% endhint %}

### Periodically Published Events

{% hint style="warning" %}
These events are automatically collected by the Hackle server and published periodically. If you are planning a CRM campaign that uses these events, please contact the Hackle team.
{% endhint %}

<table data-full-width="true"><thead><tr><th width="280">Event Key</th><th>Key Event Properties</th><th width="200">Trigger</th><th width="100">Non-member Send</th></tr></thead><tbody><tr><td><strong>cafe24_start_shipping</strong></td><td><code>order_id</code><br><code>shipping_company_name</code><br><code>tracking_no</code><br><code>shipping_status</code><br><code>is_member</code><br>+ order-related properties</td><td>Shipping started</td><td>O</td></tr><tr><td><strong>cafe24_start_shipping_items</strong></td><td>Similar to cafe24_start_shipping</td><td>Shipping started (per product)</td><td>O</td></tr><tr><td><strong>cafe24_complete_shipping</strong></td><td>Same as cafe24_start_shipping</td><td>Shipping completed</td><td>O</td></tr><tr><td><strong>cafe24_complete_shipping_items</strong></td><td>Same as cafe24_start_shipping_items</td><td>Shipping completed (per product)</td><td>O</td></tr><tr><td><strong>cafe24_hold_shipping</strong></td><td>Same as cafe24_start_shipping</td><td>Shipping on hold</td><td>O</td></tr><tr><td><strong>cafe24_hold_shipping_items</strong></td><td>Same as cafe24_start_shipping_items</td><td>Shipping on hold (per product)</td><td>O</td></tr><tr><td><strong>cafe24_order_tracking_no_change</strong></td><td><code>order_id</code><br><code>shipping_company_name</code><br><code>tracking_no</code></td><td>Tracking number changed</td><td></td></tr></tbody></table>

## Custom Events

In addition to the events automatically collected by the plugin, you can create custom events.

### GTM Integration

When creating custom events for a Cafe24 workspace, we recommend using GTM (Google Tag Manager).

If you already have existing `triggers` or `tags`, you can use them to send events to Hackle.

For details, refer to [GTM Integration](/en/development-guide/google-tag-manager.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/cafe-24/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
